Subject: Re: [PATCH 1/9] diff-merges: introduce --diff-merges=def

From: Sergey Organov <[email-masked]>
Date: Thu, 08 Apr 2021 20:38:14 +0300

Junio C Hamano <[email-masked]> writes:

> Sergey Organov <[email-masked]> writes:
>
>> Hi,
>>
>> Philip Oakley <[email-masked]> writes:
>>> Hi,
>>>
>>> On 07/04/2021 23:56, Sergey Organov wrote:
>>>> Introduce the notion of default diff format for merges, and the option
>>>> "def" to select it. The default is "separate" and can't yet be
>>> "def" feels a bit too short and sounds similar to "define" - why not
>>> spell out in full?
>>
>> Dunno, it just happened. No sound reason. Will change to "default" for
>> the next re-roll.
>
> I do not immediately see the point of writing --diff-merges=default
> on the command line in the first place.  If what it calls for is the
> default, wouldn't it be easier to just leave it out?

It does enable output of diffs for merge commits, so it's not the same
as leaving it out. The "default" is the exact format it will use for the
output.

Or do you mean using bare "--diff-merges", without "=value"? It is
considered bad practice, right?

>
> But if we have to have it as one of the choice, please do not invent
> such an abbreviation, especially without taking the fully-spelled
> form.

I think we have to, see above, and yes, I'll turn it to the full form.

Thanks,

-- Sergey Organov